
Redmine - Defect #9534

Precedence: bulk email header is non standard and discouraged

2011-11-07 04:22 - Patrick Fournier

Status: Closed Start date: 2011-11-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version: 1.2.1

Description

Feature #2984 requested adding a "Precedence: bulk" header to email notifications to prevent MS Exchange server from triggering

out-of-office auto-responder.

However, RFC 2076 says this header is "Non-standard controversial, discouraged". It is also not supported by Amazon SES service

(emails with the "Precedence" header are rejected).

The post referred to in issue #2984 suggests another way of preventing OOF autoresponder: use the

"X-Auto-Response-Suppress:OOF" header. I believe this should be used instead of the Precedence header.

Related issues:

Related to Redmine - Feature #2984: Emails from redmine should include header... Closed 2009-03-16

Associated revisions

Revision 7805 - 2011-11-13 17:30 - Jean-Philippe Lang

Replaced non standard Precedence email header with "X-Auto-Response-Suppress: OOF" (#9534).

History

#1 - 2011-11-07 09:36 - Etienne Massip

- Target version set to Unplanned backlogs

#2 - 2011-11-12 23:21 - Jean-Philippe Lang

- Target version changed from Unplanned backlogs to 1.3.0

#3 - 2011-11-13 17:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Committed in r7805.
